package com.ssj.service.conch.parents.v2.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 * @author yanghuan
 * @title: SmartTimeList
 * @projectName ssj
 * @description: TODO
 * @date 2019/12/30 16:09
 */
public class SmartTimeList extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "pageNo",value = "页码",required = true)
    @NotNull
    private int pageNo;

    @ApiModelProperty(name = "pageSize",value = "每页张数",required = true)
    @NotNull
    private int pageSize;


    @ApiModelProperty(name = "vipId",value = "学生id",required = true)
    @NotBlank
    private String vipId;

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }
}
